#include "CFStatusBar.H"
#include "Text.H"

#include "Logger.H"
extern Logger logger;
extern const char *CURFLOO_VER;

CFStatusBar::CFStatusBar(int wdth):
		_width(wdth),
		_changed(true),
		_pm(false),
		_err(false),
		_away(false) {
	_grd=new Grid(_width,1);
	unsetRoom();
}

CFStatusBar::~CFStatusBar() {
	delete (_grd);
}

const Grid &CFStatusBar::draw() {
	Char c=_stile;
	Text t;
	(*_grd).fill(c);
	c.setBack(cc_green);
	t.style(c);
	t.setText(_room);
	(*_grd).set(0,0,t.draw());
	if (_away) {
		c.setBack(cc_yellow);
		t.style(c);
		t.setText("[AWAY]");
		(*_grd).set(_width-15,0,t.draw());
	}
	if (_pm) {
		c.setBack(cc_yellow);
		t.style(c);
		t.setText("[PM]");
		(*_grd).set(_width-9,0,t.draw());
	}
	if (_err) {
		c.setBack(cc_yellow);
		t.style(c);
		t.setText("[ERR]");
		(*_grd).set(_width-5,0,t.draw());
	}
	return (*_grd);	
}

void CFStatusBar::unsetRoom() {
	char buf[81];
    sprintf(buf,"Curfloo v%s (c) 2000 by JFC Innovations, Inc.  All Rights Reserved", CURFLOO_VER);
	_room=buf;
	_changed=true;
}
